[arch-commits] Commit in groff/repos (8 files)

Tobias Powalowski tpowa at nymeria.archlinux.org
Wed May 8 09:46:25 EDT 2013


    Date: Wednesday, May 8, 2013 @ 15:46:24
  Author: tpowa
Revision: 184786

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  groff/repos/testing-i686/
  groff/repos/testing-i686/PKGBUILD
    (from rev 184785, groff/trunk/PKGBUILD)
  groff/repos/testing-i686/groff.install
    (from rev 184785, groff/trunk/groff.install)
  groff/repos/testing-i686/site.tmac
    (from rev 184785, groff/trunk/site.tmac)
  groff/repos/testing-x86_64/
  groff/repos/testing-x86_64/PKGBUILD
    (from rev 184785, groff/trunk/PKGBUILD)
  groff/repos/testing-x86_64/groff.install
    (from rev 184785, groff/trunk/groff.install)
  groff/repos/testing-x86_64/site.tmac
    (from rev 184785, groff/trunk/site.tmac)

------------------------------+
 testing-i686/PKGBUILD        |   51 +++++++++++++++++++++++++++++++++++++++++
 testing-i686/groff.install   |   22 +++++++++++++++++
 testing-i686/site.tmac       |   16 ++++++++++++
 testing-x86_64/PKGBUILD      |   51 +++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/groff.install |   22 +++++++++++++++++
 testing-x86_64/site.tmac     |   16 ++++++++++++
 6 files changed, 178 insertions(+)

Copied: groff/repos/testing-i686/PKGBUILD (from rev 184785, groff/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-05-08 13:46:24 UTC (rev 184786)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: 
+
+pkgname=groff
+pkgver=1.22.2
+pkgrel=3
+pkgdesc="GNU troff text-formatting system"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/groff/groff.html"
+license=('GPL')
+groups=('base-devel')
+depends=('perl' 'gcc-libs')
+makedepends=('netpbm' 'psutils' 'ghostscript' 'libxaw')
+optdepends=('netpbm: for use together with man -H command interaction in browsers'
+            'psutils: for use together with man -H command interaction in browsers'
+            'libxaw: for gxditview')
+source=(ftp://ftp.gnu.org/gnu/groff/groff-$pkgver.tar.gz{,.sig}
+        site.tmac)
+options=('!docs' '!emptydirs')
+install=groff.install
+md5sums=('9f4cd592a5efc7e36481d8d8d8af6d16'
+         '65207deb0a9b54324cb947f25ec9164f'
+         'a1fedafd7863b37968d32ad9ae1d8c13')
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --with-x --with-appresdir=/usr/share/X11/app-defaults
+  make
+}
+
+check() {
+  cd $srcdir/$pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  make DESTDIR=$pkgdir install
+  
+  # add compatibility symlinks
+  ln -s eqn $pkgdir/usr/bin/geqn
+  ln -s tbl $pkgdir/usr/bin/gtbl
+  ln -s soelim $pkgdir/usr/bin/zsoelim
+
+  # FS33760 - TERMCAP variables not followed
+  # TODO: everyone is doing this - find out why upstream does not...
+  cat $srcdir/site.tmac >> \
+    $pkgdir/usr/share/groff/site-tmac/man.local
+  cat $srcdir/site.tmac >> \
+    $pkgdir/usr/share/groff/site-tmac/mdoc.local
+}

Copied: groff/repos/testing-i686/groff.install (from rev 184785, groff/trunk/groff.install)
===================================================================
--- testing-i686/groff.install	                        (rev 0)
+++ testing-i686/groff.install	2013-05-08 13:46:24 UTC (rev 184786)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(groff.info groff.info-1 groff.info-2 groff.info-3)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: groff/repos/testing-i686/site.tmac (from rev 184785, groff/trunk/site.tmac)
===================================================================
--- testing-i686/site.tmac	                        (rev 0)
+++ testing-i686/site.tmac	2013-05-08 13:46:24 UTC (rev 184786)
@@ -0,0 +1,16 @@
+.
+.if n \{\
+.  \" Character translations for non-keyboard
+.  \" characters - to make them searchable
+.  if '\*[.T]'utf8' \{\
+.    char \- \N'45'
+.    char - \N'45'
+.    char ' \N'39'
+.    char \' \N'39'
+.  \}
+.
+.  \" Shut off SGR by default (groff colors)
+.  \" Require GROFF_SGR envvar defined to turn it on
+.  if '\V[GROFF_SGR]'' \
+.    output x X tty: sgr 0
+.\}

Copied: groff/repos/testing-x86_64/PKGBUILD (from rev 184785, groff/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-05-08 13:46:24 UTC (rev 184786)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: 
+
+pkgname=groff
+pkgver=1.22.2
+pkgrel=3
+pkgdesc="GNU troff text-formatting system"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/groff/groff.html"
+license=('GPL')
+groups=('base-devel')
+depends=('perl' 'gcc-libs')
+makedepends=('netpbm' 'psutils' 'ghostscript' 'libxaw')
+optdepends=('netpbm: for use together with man -H command interaction in browsers'
+            'psutils: for use together with man -H command interaction in browsers'
+            'libxaw: for gxditview')
+source=(ftp://ftp.gnu.org/gnu/groff/groff-$pkgver.tar.gz{,.sig}
+        site.tmac)
+options=('!docs' '!emptydirs')
+install=groff.install
+md5sums=('9f4cd592a5efc7e36481d8d8d8af6d16'
+         '65207deb0a9b54324cb947f25ec9164f'
+         'a1fedafd7863b37968d32ad9ae1d8c13')
+
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --with-x --with-appresdir=/usr/share/X11/app-defaults
+  make
+}
+
+check() {
+  cd $srcdir/$pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $srcdir/$pkgname-$pkgver
+  make DESTDIR=$pkgdir install
+  
+  # add compatibility symlinks
+  ln -s eqn $pkgdir/usr/bin/geqn
+  ln -s tbl $pkgdir/usr/bin/gtbl
+  ln -s soelim $pkgdir/usr/bin/zsoelim
+
+  # FS33760 - TERMCAP variables not followed
+  # TODO: everyone is doing this - find out why upstream does not...
+  cat $srcdir/site.tmac >> \
+    $pkgdir/usr/share/groff/site-tmac/man.local
+  cat $srcdir/site.tmac >> \
+    $pkgdir/usr/share/groff/site-tmac/mdoc.local
+}

Copied: groff/repos/testing-x86_64/groff.install (from rev 184785, groff/trunk/groff.install)
===================================================================
--- testing-x86_64/groff.install	                        (rev 0)
+++ testing-x86_64/groff.install	2013-05-08 13:46:24 UTC (rev 184786)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(groff.info groff.info-1 groff.info-2 groff.info-3)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: groff/repos/testing-x86_64/site.tmac (from rev 184785, groff/trunk/site.tmac)
===================================================================
--- testing-x86_64/site.tmac	                        (rev 0)
+++ testing-x86_64/site.tmac	2013-05-08 13:46:24 UTC (rev 184786)
@@ -0,0 +1,16 @@
+.
+.if n \{\
+.  \" Character translations for non-keyboard
+.  \" characters - to make them searchable
+.  if '\*[.T]'utf8' \{\
+.    char \- \N'45'
+.    char - \N'45'
+.    char ' \N'39'
+.    char \' \N'39'
+.  \}
+.
+.  \" Shut off SGR by default (groff colors)
+.  \" Require GROFF_SGR envvar defined to turn it on
+.  if '\V[GROFF_SGR]'' \
+.    output x X tty: sgr 0
+.\}



More information about the arch-commits mailing list